Results 1 to 3 of 3

Thread: yast2 gui for gnome stop working, gnome software does not works also

  1. #1

    Exclamation yast2 gui for gnome stop working, gnome software does not works also

    hi!

    I am having an issue with yast2-control-center-GNOME, can anyone tell me what can I do to resolve this? also, when I want to isntall something using gnome software, it just show nothing on screen. :S
    this is what the terminal shows


    yast2 --gtk
    The GTK GUI has been retired, falling back to Qt.
    No protocol specified


    ** (y2controlcenter-gnome:20964): WARNING **: Could not open X display


    (y2controlcenter-gnome:20964): GLib-GIO-CRITICAL **: g_dbus_proxy_new_sync: assertion 'G_IS_DBUS_CONNECTION (connection)' failed
    Opción desconocida -name
    Run '/usr/lib/YaST2/bin/y2controlcenter-gnome --help' to see a full list of available command line options.

    I already re isntalled the pakage yast2-control.center-gnome using yast from terminal, I like more the gtk front end tho.
    I am on opensuse tumbleweed.

    thanks for your help

  2. #2

    Exclamation Re: yast2 gui for gnome stop working, gnome software does not works also

    I have same problem. Main YAST window dont want work on GTK-mode, but YAST modules work on GTK-mode.
    Yast-Qt work fine.
    Code:
    yast2 --gtk
    The GTK GUI has been retired, falling back to Qt.
    
    
    (y2controlcenter-gnome:13900): GLib-GIO-CRITICAL **: g_dbus_proxy_new_sync: assertion 'G_IS_DBUS_CONNECTION (connection)' failed
    Unknown parameter -name
    Run '/usr/lib/YaST2/bin/y2controlcenter-gnome --help' to see a full list of available command line options.
    After installation YAST worked fine.
    Tumbleweed 20171005.

  3. #3
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: yast2 gui for gnome stop working, gnome software does not works also

    Quote Originally Posted by zen_wolf View Post
    hi!

    I am having an issue with yast2-control-center-GNOME, can anyone tell me what can I do to resolve this? also, when I want to isntall something using gnome software, it just show nothing on screen. :S
    this is what the terminal shows


    yast2 --gtk
    The GTK GUI has been retired, falling back to Qt.
    No protocol specified


    ** (y2controlcenter-gnome:20964): WARNING **: Could not open X display


    (y2controlcenter-gnome:20964): GLib-GIO-CRITICAL **: g_dbus_proxy_new_sync: assertion 'G_IS_DBUS_CONNECTION (connection)' failed
    Opción desconocida -name
    Run '/usr/lib/YaST2/bin/y2controlcenter-gnome --help' to see a full list of available command line options.

    I already re isntalled the pakage yast2-control.center-gnome using yast from terminal, I like more the gtk front end tho.
    I am on opensuse tumbleweed.

    thanks for your help
    afaik the gtk interface was retired because it had no active developers the qt works fine under gnome so it really shouldn't matter
    about the X display warning how are you starting yast2? gui apps should not be run from a root console but started from a user one with gnomesu (kdesu) or xdg-su

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •